From 977ac3a21cc483e0babe0a3850e8bf485e961bd9 Mon Sep 17 00:00:00 2001
From: Wei xie <xiewei@linuxdeepin.com>
Date: Thu, 4 Jan 2018 15:48:38 +0800
Subject: [PATCH] wininet: Add InternetGetSecurityInfoByURLW test

Signed-off-by: Wei xie <xiewei@linuxdeepin.com>
---
 dlls/wininet/tests/http.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/dlls/wininet/tests/http.c b/dlls/wininet/tests/http.c
index ca1173e940..ca478ccd4e 100644
--- a/dlls/wininet/tests/http.c
+++ b/dlls/wininet/tests/http.c
@@ -5590,6 +5590,9 @@ static void _test_security_info(unsigned line, const char *urlc, DWORD error, DW
         ok_(__FILE__,line)(chain != NULL, "chain = NULL\n");
         ok_(__FILE__,line)(flags == ex_flags, "flags = %x\n", flags);
         CertFreeCertificateChain(chain);
+
+        res = pInternetGetSecurityInfoByURLA(url, NULL, NULL);
+        ok_(__FILE__,__LINE__)(!res, "InternetGetSecurityInfoByURLA failed: %u\n", GetLastError());
     }else {
         ok_(__FILE__,line)(!res && GetLastError() == error,
                            "InternetGetSecurityInfoByURLA returned: %x(%u), expected %u\n", res, GetLastError(), error);
@@ -5638,6 +5641,7 @@ static void test_security_flags(void)
     trace("Testing security flags...\n");
     reset_events();
 
+
     ses = InternetOpenA("WineTest", INTERNET_OPEN_TYPE_PRECONFIG, NULL, NULL, INTERNET_FLAG_ASYNC);
     ok(ses != NULL, "InternetOpen failed\n");
 
-- 
2.11.0

